set terminal png size 4000, 1000
set output 'DoseXY.png'
#set title 'Dose rate along BIFROST beamline. Neutron beam plus prompt gamma. Choppers off, beam shutter closed. Contours for 30..0.3, two per decade' 
set size ratio 0.3
unset grid
set xlabel 'Distance to source, m' font ", 40" offset 0,-2,0
set xtics font ", 40" offset 0,-1,0
set mxtics 2
set ylabel 'Distance to guide, m' font ", 40" offset -6,0,0 
set ytics font ", 40" 
set mytics 2
set cblabel 'Dose rate, uSv/hr' font ", 40" offset 15,0,0
set cbtics font ", 40"
unset logscale x
unset logscale y
unset logscale z
set logscale cb
set cbrange [1e-3:1e7]
set xrange [27.50:52.50]
set yrange [-2:2]
set grid xtics ytics mxtics mytics
unset logscale x2
unset logscale y2
set key default
set style line 1 lt -1 lw 1
set colorbox vertical
set pm3d map explicit corners2color c1
set contour
set style increment user
do for [i=1:6] {set style line i lt 1 lw 2 lc rgb "black"}
set cntrparam levels discrete  32,10,3.2,1,0.32
set palette defined ( 1. 1.0 1.0 1.0,  2. 0.9 0.6 0.9,  3. 1.0 0.4 1.0, 4. 0.9 0.0 1.0,  5. 0.7 0.0 1.0,  6. 0.5 0.0 0.8, 7. 0.0 0.0 0.8,  8. 0.0 0.0 1.0,  9. 0.0 0.6 1.0,10. 0.0 0.8 1.0, 11. 0.0 0.7 0.5, 12. 0.0 0.9 0.2,13. 0.5 1.0 0.0, 14. 0.8 1.0 0.0, 15. 1.0 1.0 0.0,16. 1.0 0.8 0.0, 17. 1.0 0.5 0.0, 18. 1.0 0.0 0.0,19. 0.8 0.0 0.0, 20. 0.6 0.0 0.0, 21. 0.0 0.0 0.0 )
splot '< paste Dose_XY_N.dat Dose_XY_G.dat'  us (0.01*$2):(0.01*$1):(($3+$7)*0.0036) w pm3d notitle, 'Dose_XY.geo.dat' ind 0 us (0.01*$3):(0.01*$4):(0.) w l ls 1 lw 3 lc rgb "black" notitle
